<template>
  <div id="footer-div" class="p-2 d-flex justify-content-center">
    <p>{{footerProps.copyRightText}}</p>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class TheFooter extends Vue {
  @Prop() private footerProps!: object;
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
#footer-div {
  border-top: 1px solid lightgray;
}
</style>
